# esway: elasticsearch gateway

### Run
- `go run . --help`
- `go run . --debug`
- `go run . -c etc/config.json`

### Build
- `docker build -t {repo:tag} -f Dockerfile .`

### Development
- `准备 es`
- `准备 esway 并且假设监听在 8200`
- `准备 kibana 如下:`

```yaml

version: "3"
kibana-proxy:
    image: kibana:7.17.1
    container_name: kibana-proxy
    restart: unless-stopped
    environment:
    ELASTICSEARCH_HOSTS: http://<esway_ip>:<esway_port(8200)>
    I18N_LOCALE: zh-CN
    network_mode: "host"

```