package interfaces

type OpLogger interface {
	Enum
	Render(content map[string]any) (string, error)
	Template() string
}

type Logger interface {
	Debug(msg string, data ...any)
	Info(msg string, data ...any)
	Warn(msg string, data ...any)
	Error(msg string, data ...any)
}